/**
This file is part of a project licensed under the GNU General Public License v3.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

<template>
  <div
    :class="['highlight', { 'is-primary': isPrimary }]"
    :title="infoLabel"
    :style="styles"
  />
</template>

<style lang="scss">
@import "../assets/variables.scss";

// .highlight {
//   position: absolute;

//   background-color: $search-10;
//   border: 2px solid $search-50;

//   &.is-primary {
//     background-color: $search-10;
//     border-color: $search-20;
//   }

//   &.is-selected {
//     border-color: $primary-50;
//   }
// }
</style>

<script>
export default {
  props: {
    id: String,
    rect: {
      type: Object,
      default: () => ({ x: 0, y: 0, width: 0, height: 0 }),
    },
    label: {
      type: String,
      default: "",
    },
    score: {
      type: Number,
      default: 0,
    },
    isPrimary: {
      type: Boolean,
      default: true,
    },
  },
  computed: {
    infoLabel() {
      return `${this.label}`;
    },
    prettyScore() {
      return Math.round(this.score * 100) / 100;
    },
    styles() {
      const { x, y, width, height } = this.rect;
      return {
        left: `${x}%`,
        top: `${y}%`,
        width: `${width}%`,
        height: `${height}%`,
        // borderColor: this.getColorFromString(this.label, 0.0875),
        // backgroundColor: this.getColorFromString(this.label, 0.0275)
      };
    },
  },
  methods: {},
};
</script>
